{{- $isHeader := .Params.image | or .Params.header -}}
{{- $isHeaderNoIcon := $isHeader | and (not .Params.icon) -}}
{{- $isHeaderIcon := .Params.icon | and $isHeader -}}
<header class="border-b -mb-px">
  {{- with .Params.icon -}}
  <span class="page-icon | inline-block text-7xl mb-2 print:float-left print:mt-2 print:mb-0 print:mr-6 print:text-3xl" aria-hidden="true">{{ . }}</span>
  {{- end -}}
  <h1 class="{{ if .Params.header_text | default .Params.description_short | default .Params.subtitle }}mb-1{{ end }}{{ if $isHeaderNoIcon }} mt-3{{ end }}">{{ .Title }}</h1>
  {{- with .Params.header_text | default .Params.description_short | default .Params.subtitle  -}}
  <p class="text-lg text-mitigate mt-0 mb-3 print:clear-left">{{ . }}</p>
  {{- end -}}
</header>
